%if %mdkversion < 1010
%define __libtoolize /bin/true
%endif

Summary:	KDE frontend for the Clam AntiVirus virus scanner
Name:		klamav
Version:	0.32
Release:	%mkrel 4
License:	GPL
Group:		File tools
URL:		http://sourceforge.net/projects/klamav/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1: klamav.sh
Source2: klamav-0.32-pt_BR.po
Source3: klamav-dropdown.desktop
Source4: wait-pt_BR.html
Source5: main-pt_BR.html
Patch0: klamav-0.32-default-db-dir.diff
Patch1: klamav-0.32-fix_popup.patch
Patch2: klamav-0.32-i18n.patch
Patch3: klamav-0.32-improve_ui.patch
Patch4: klamav-0.32-vbrowser-i18n.patch
Patch5: klamav-0.32-proxyfix.patch
Patch6:	klamva-0.32-compile-gcc-4.1.1.patch.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	chrpath
BuildRequires: clamav-devel
Requires:	clamav clamd
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
KlamAV provides ClamAV protection for the KDE desktop. It includes
'on access' scanning, manual scanning, quarantine management,
downloading of updates, mail scanning, and automated installation.

%prep
%setup -q -n %name-%{version}-source

%patch6 -p1 -b .fix_compile_gcc_4.1
cd klamav-0.32
%patch0 -p1 -b .default_db_directory
%patch1 -p1 
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Fixed pt_BR before upload upstream
cp -f %SOURCE2 po/pt_BR.po

# Use context menu
cat %SOURCE3 > src/klamav-dropdown.desktop

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}

{
cd klamav-0.32
%configure2_5x

make
cd -
}

%install
rm -Rf %{buildroot}

{
cd klamav-0.32
%makeinstall_std

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
kdedesktop2mdkmenu.pl %{name} "System/File Tools" %{buildroot}/%{_datadir}/applnk/Utilities/klamav.desktop %{buildroot}/%{_menudir}/%{name}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

# Copy translated virus browser
# Next release this shoul be made standard
cp %SOURCE4 %SOURCE5 %{buildroot}%{_datadir}/apps/klamav/about

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/klamav
mv %{buildroot}%{_bindir}/klamav %{buildroot}%{_bindir}/klamav-real
cp %SOURCE1 %{buildroot}%{_bindir}/klamav
cd -
} 


%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files 
%defattr(-,root,root)
%attr (755,root,root) %{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applnk/Utilities/klamav.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop

%_datadir/locale/*/*/klamav.mo



%changelog
* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 0.32-4
- Rebuild to generate categories
- Fix compile

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.32-3mdk
- fix requires (#18790)

* Wed Dec 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-21 19:52:14 (1324)
- Fix for proxy cnofigurations. Not everyone use proxy with user and pwd.

* Wed Dec 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-21 18:04:37 (1323)
- Fixed media:/ or devices:/ patch
- Added patch for translate html files. Still not the optimal solution, but
  works for current requirements
- Added translation for .html about files

* Tue Dec 20 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-20 22:23:27 (1322)
- Fixded pt_BR translation. Patch will be submitted upstream
- Added better ui handling by Gustavo Boiko <boiko@mandriva.com>, using media:/
  on KDE 3.5

* Thu Dec 15 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-15 20:46:28 (1306)
- No nrpoc compilation

* Thu Dec 15 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-15 20:34:19 (1305)
- Upload packages with OEM fixes

* Thu Dec 15 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-15 14:19:51 (1300)
- Created package structure for klamav.

* Tue Nov 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.32-1
- 0.32

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22.1-2mdk
- rebuilt against openssl-0.9.8a

* Thu Aug 25 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.22.1-1mdk
- New release 0.22.1

* Mon Jul 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.22-1mdk
- New release 0.22

* Tue Jul 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.20.1-1mdk
- New release 0.20.1

* Thu May 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.20-1mdk
-  0.20

* Mon May 23 2005 Eskild Hustvedt <eskild@mandriva.org> 0.17.2-3mdk
- Rebuild

* Thu Apr 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17.2-2mdk
- Fix BuildRequires

* Thu Apr 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.17.2-1mdk
- 0.17.2

* Tue Apr 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- 0.17
- rediff P0
- nuke rpath
* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1
- use the %%mkrel macro
- fix description
- fix P0, in another place

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.06-1mdk
- 0.06

* Tue Sep 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path
